% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ec2_operations.R
\name{ec2_describe_import_image_tasks}
\alias{ec2_describe_import_image_tasks}
\title{Displays details about an import virtual machine or import snapshot
tasks that are already created}
\usage{
ec2_describe_import_image_tasks(
  DryRun = NULL,
  Filters = NULL,
  ImportTaskIds = NULL,
  MaxResults = NULL,
  NextToken = NULL
)
}
\arguments{
\item{DryRun}{Checks whether you have the required permissions for the action, without
actually making the request, and provides an error response. If you have
the required permissions, the error response is \code{DryRunOperation}.
Otherwise, it is \code{UnauthorizedOperation}.}

\item{Filters}{Filter tasks using the \code{task-state} filter and one of the following
values: \code{active}, \code{completed}, \code{deleting}, or \code{deleted}.}

\item{ImportTaskIds}{The IDs of the import image tasks.}

\item{MaxResults}{The maximum number of results to return in a single call.}

\item{NextToken}{A token that indicates the next page of results.}
}
\description{
Displays details about an import virtual machine or import snapshot tasks that are already created.

See \url{https://www.paws-r-sdk.com/docs/ec2_describe_import_image_tasks/} for full documentation.
}
\keyword{internal}
