% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ec2_operations.R
\name{ec2_describe_transit_gateway_route_table_announcements}
\alias{ec2_describe_transit_gateway_route_table_announcements}
\title{Describes one or more transit gateway route table advertisements}
\usage{
ec2_describe_transit_gateway_route_table_announcements(
  TransitGatewayRouteTableAnnouncementIds = NULL,
  Filters = NULL,
  MaxResults = NULL,
  NextToken = NULL,
  DryRun = NULL
)
}
\arguments{
\item{TransitGatewayRouteTableAnnouncementIds}{The IDs of the transit gateway route tables that are being advertised.}

\item{Filters}{The filters associated with the transit gateway policy table.}

\item{MaxResults}{The maximum number of results to return with a single call. To retrieve
the remaining results, make another call with the returned \code{nextToken}
value.}

\item{NextToken}{The token for the next page of results.}

\item{DryRun}{Checks whether you have the required permissions for the action, without
actually making the request, and provides an error response. If you have
the required permissions, the error response is \code{DryRunOperation}.
Otherwise, it is \code{UnauthorizedOperation}.}
}
\description{
Describes one or more transit gateway route table advertisements.

See \url{https://www.paws-r-sdk.com/docs/ec2_describe_transit_gateway_route_table_announcements/} for full documentation.
}
\keyword{internal}
